Create invoice attachment
Uploads a file as multipart/form-data with optional properties (name, description).
Path parameters
invoiceIdstringRequired
The ID of the invoice to which the attachment belongs.
Body
filestring · binaryOptional
Responses
201
Created
application/json
Represents an attachment associated with an invoice in the billing system.
revisioninteger · int32Optional
namestringOptionalExample:
Name of the attachment.
raw records datatypestring · enumOptionalPossible values:
Represents the type of billing attachment.
filenamestringOptionalExample:
Represents the name of the file associated with the attachment.
invoice.pdfsizeinteger · int64 · nullableOptionalExample:
Indicates the size of the file in bytes.
102400contentTypestringOptionalExample:
Represents the MIME type of the file content.
application/pdfdescriptionstringOptionalExample:
Provides a description of the attachment.
Invoice for March 2025isDeletedbooleanOptionalExample:
Indicates whether the attachment has been marked as deleted.
falseidstringOptionalExample:
The unique identifier of the attachment.
INA-1234-1234isExternalbooleanOptional
Indicates whether the attachment is stored externally
400
Bad Request
application/json
post/public/v1/billing/invoices/{invoiceId}/attachments
POST /public/v1/billing/invoices/{invoiceId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 83
{
"attachment": {
"name": "text",
"description": "text",
"file": "binary"
},
"file": "binary"
}{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"name": "raw records data",
"type": "Input",
"filename": "invoice.pdf",
"size": 102400,
"contentType": "application/pdf",
"description": "Invoice for March 2025",
"isDeleted": false,
"id": "INA-1234-1234",
"invoice": {
"revision": 1,
"id": "INV-123-456-789"
},
"isExternal": true
}Last updated
Was this helpful?